# Manage User

## Manage User

The Manage User API allows a given organization to create or update its users and its sub-organizations users (based on the hierarchy). Users are created by default with limits set to zero, to be later changed by the Limits Management API.

## Input Parameters:

| Name            | Required | Definition                                                                                                                                                                                                                                                                                                        | Comments       |
| --------------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------- |
| Email           | C        | <p>Format: a-z (upper or lower), numbers, dash and underscore, 5-40<br>Description: Possible pattern: <x@x.x></p>                                                                                                                                                                                                 |                |
| FirstName       | C        | Format: Alphanumeric, 10                                                                                                                                                                                                                                                                                          |                |
| LastName        | C        | Format: Alphanumeric, 15                                                                                                                                                                                                                                                                                          |                |
| LimitAmount     | C        | Format: Business rules limitation (e.g. minimum 5$)                                                                                                                                                                                                                                                               | Create Request |
| NewUserPassword | C        | <p>Format: 8 -10 chars. Alphanumeric, Including char: \_ ! @ # $ % ^ \* + \~ ?<br>Required to have at least<br>- One Upper (e.g. A, B...)<br>- One Lower (e.g. a, b...)<br>- One number (e.g. 1, 2…)<br>- One special character (e.g. \_ ! @...)<br><br>Description: New password value provided by the user.</p> | Create Request |
| OperationType   | Y        | <p>Format options:<br>Create<br>Update</p>                                                                                                                                                                                                                                                                        |                |
| RoleId          | C        | <p>Format options:<br>Manager<br>Accounting<br>Inventory<br>Full<br>Issuing<br>Reporting</p>                                                                                                                                                                                                                      |                |
| Status          | C        | Format: ACTIVE (default) ALL                                                                                                                                                                                                                                                                                      |                |
| TargetOrgName   | N        | Format: Alphanumeric, 6-30                                                                                                                                                                                                                                                                                        |                |
| TargetUserName  | C        | Format: Alphanumeric, 6-30                                                                                                                                                                                                                                                                                        |                |

## Output Parameters:

## XML Samples

### Input XML

```json
<?xml version="1.0" ?>
<PraxellXMLRequest>
  <AuthenticationDetails>
    <UserName>SA_DemoPM</UserName>
    <UserPassword>1q2w3e4r</UserPassword>
    <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
  <ServiceDetails>
    <UniqueRequestId>1805654</UniqueRequestId>
    <ServiceName>ManageUser</ServiceName>
  </ServiceDetails>
  <Origin>
    <OriginType>ExtAPI</OriginType>
  </Origin>
  <ServiceParams>
    <NewUserPassword>1q2w3e4r</NewUserPassword>
    <LastName>Kraut</LastName>
    <Email>debitsupport@praxell.com</Email>
    <FirstName>Dan</FirstName>
    <RoleId>FBIZ</RoleId>
    <OperationType>Create</OperationType>
    <TargetUserName>kVZpGXyrXczvfoDGSuTv</TargetUserName>
    <LimitAmount>100</LimitAmount>
  </ServiceParams>
</PraxellXMLRequest>
```

```json
<?xml version="1.0"?>
  <PraxellXMLResponse>
    <ResponseDetails>
        <ServiceName>ManageUser</ServiceName>
        <SessionId>73406108200756110</SessionId>
        <StatusCode>0</StatusCode>
        <StatusName>StatusOK</StatusName>
        <StatusDescription>NA</StatusDescription>
        <ServiceDate>2007-11-13 08:56:02</ServiceDate>
        <ServiceId>73406108200756110</ServiceId>
    </ResponseDetails>
 <ResponseParams></ResponseParams>
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>ManageUser</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70012</StatusCode>
    <StatusName>ServiceNotAllowed</StatusName>
    <StatusDescription>ServiceNotAllowed</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/administration/manage-user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
